This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 120920 - up2date crashes on connection timeout
up2date crashes on connection timeout
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-04-15 05:38 EDT by Hans de Goede
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2004-04-15 05:38:20 EDT
I was running up2date at a moment that one of my yum repositories was
of the net, instead of a popup with an error I got a crash with the
following traceback:


Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1358, in
onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 117, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
204, in listPackages
    agent = "Up2date %s/Yum" % up2dateUtils.version())
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
312, in fetchUrl
    agent = agent)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
106, in open_resource
    return opener.open(request)
  File "/usr/lib/python2.2/urllib2.py", line 328, in open
    '_open', req)
  File "/usr/lib/python2.2/urllib2.py", line 307, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.2/urllib2.py", line 824, in http_open
    return self.do_open(httplib.HTTP, req)
  File "/usr/lib/python2.2/urllib2.py", line 809, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error (110, 'Connection timed out')>
Comment 1 Matthew Miller 2006-07-11 13:34:39 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 15:14:40 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.

Note that up2date is not present in FC5 or FC6, the only current non-Legacy
Fedora Core releases.  However, related bugs may occur in yum, pirut, or other
updating mechanisms.

Note You need to log in before you can comment on or make changes to this bug.